---
title: msAudioCategory
slug: Web/API/HTMLAudioElement/msAudioCategory
---
<p id="Summary">{{APIRef("Audio element")}}</p>

<p>{{Non-standard_header()}}</p>


<p>The <code><strong>msAudioCategory</strong></code> property of the HTML <a href="/en-US/docs/Web/HTML/Element/audio">&lt;audio&gt;</a> element, is a read/write proprietary attribute, specific to Internet Explorer and Microsoft Edge.</p>

<p><code><strong>msAudioCategory</strong></code> specifies the purpose of the audio or video media, such as background audio or alerts.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: html">&lt;audio controls="controls" msaudiocategory="BackgroundCapableMedia"&gt;  &lt;/audio&gt;
</pre>

<p>The <code>msAudioCategory</code> property offers a variety of values that can enhance the behavior of your audio-aware app.</p>

<p>Note that you must set the <code>msAudioCategory</code> before setting the <a href="/en-US/docs/Web/HTML/Element/audio"><code>src</code></a> property in code.</p>


<h2 id="Value">Value</h2>

<p>Include a description of the property's value, including data type and what it represents.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Value</th>
   <th scope="col">Description</th>
   <th scope="col">Background Capable?</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Alert</td>
   <td>Looping or longer running alert sounds:
    <ul>
     <li>Alarms</li>
     <li>Ring tones</li>
     <li>Ringing notification</li>
     <li>Sounds that need to attenuate existing audio</li>
    </ul>
   </td>
   <td>No</td>
  </tr>
  <tr>
   <td>BackgroundCapableMedia</td>
   <td>For audio that needs to continue playing in the background. Examples include the following local media playback scenarios:
    <ul>
     <li>Local playlist</li>
     <li>Streaming radio</li>
     <li>Streaming playlist</li>
     <li>Music videos</li>
     <li>Streaming audio/radio, YouTube, Netflix, etc.</li>
    </ul>
   </td>
   <td>Yes</td>
  </tr>
  <tr>
   <td>Communications</td>
   <td>For streaming communication audio such as the following:
    <ul>
     <li>VOIP</li>
     <li>Real time chat or other type of phone calls</li>
    </ul>
    Should not be used in non-real-time or non-communication scenarios, such as audio and/or video playback, as playback startup latency is affected. *Note that if <code>msAudioCategory</code> is set to <em>Communications</em>, <a href="/en-US/docs/Web/API/MsRealTime">msRealtime</a> is automatically set to true.</td>
   <td>Yes</td>
  </tr>
  <tr>
   <td>ForeGroundOnlyMedia</td>
   <td>
    <ul>
     <li>Games or other sounds designed only to work in the foreground, but will mute existing background media sounds.</li>
     <li>Game audio needed for the game experience (dancing games, music games)</li>
     <li>Feature films (designed to pause when they go to the background)</li>
    </ul>
   </td>
   <td>No</td>
  </tr>
  <tr>
   <td>GameEffects</td>
   <td>
    <ul>
     <li>Game sound effects designed to mix with existing audio</li>
     <li>Characters talking</li>
     <li>All non-music sounds</li>
    </ul>
   </td>
   <td>No</td>
  </tr>
  <tr>
   <td>GameMedia</td>
   <td>Background music played by a game</td>
   <td>No</td>
  </tr>
  <tr>
   <td>SoundEffects</td>
   <td>
    <ul>
     <li>Game or other sound effects designed to mix with existing audio:</li>
     <li>Characters talking</li>
     <li>Beeps, dings, brief sounds</li>
    </ul>
   </td>
   <td>No</td>
  </tr>
  <tr>
   <td>Other</td>
   <td>Default audio type, and recommended for all audio media that does not need to continue playing in the background.</td>
   <td>No</td>
  </tr>
 </tbody>
</table>


<p>If <a href="/en-US/docs/Web/API/MsAudioDeviceType"><code>msAudioDeviceType</code></a> is not explicitly set, <code>msAudioDeviceType</code> will be set to <em>Communications</em>.</p>

<p>For hardware audio offload to be automatically applied, the audio category must be set to <em>ForegroundOnlyMedia</em> or <em>BackgroundCapableMedia</em>. Hardware audio offload optimizes audio rendering which can improve functionality and battery life.</p>

<h2 id="Example">Example</h2>

<pre><span style="color: blue;">&lt;<span style="color: #a31515;">audio</span> <span style="color: red;">msAudioCategory</span><span style="color: blue;">=</span><span style="color: blue;">"BackgroundCapableMedia"</span> <span style="color: red;">controls</span><span style="color: blue;">=</span><span style="color: blue;">"controls"</span><span style="color: blue;">&gt;</span>
<span style="color: blue;">&lt;</span><span style="color: #a31515;">source</span> <span style="color: red;">src</span><span style="color: blue;">=</span><span style="color: blue;">"song.mp3"</span><span style="color: blue;">/&gt;</span>
<span style="color: blue;">&lt;/</span><span style="color: #a31515;">audio</span><span style="color: blue;">&gt;</span></span></pre>
